Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.antlr.metadata
Class XRef

    java.lang.Object
      org.gradle.api.plugins.antlr.metadata.XRef

    public class XRef

extends Object

Models cross-reference (x-ref) info about `grammar files` such as `filesByPath`, `filesByExportVocab` and `filesByClassName`.

Constructor Summary
`XRef(antlr.preprocessor.Hierarchy antlrHierarchy)`

Method Summary
`Object` | `getAntlrHierarchy()`
`GrammarFileMetadata` | `getGrammarFileByClassName(String className)` Locate the grammar file metadata by the name of a class generated from one of its included grammars.
`GrammarFileMetadata` | `getGrammarFileByExportVocab(String vocabName)` Locate the grammar file metadata by the name of a vocabulary exported from one of its included grammars.
`GrammarFileMetadata` | `getGrammarFileByPath(String path)` Locate the grammar file metadata by grammar file path.
`Iterator<GrammarFileMetadata>` | `iterateGrammarFiles()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XRef

    public XRef(antlr.preprocessor.Hierarchy antlrHierarchy)

Method Detail

### getAntlrHierarchy

    public Object getAntlrHierarchy()

### iterateGrammarFiles

    public Iterator<GrammarFileMetadata> iterateGrammarFiles()

### getGrammarFileByPath

    public GrammarFileMetadata getGrammarFileByPath(String path)

  Locate the grammar file metadata by grammar file path.

  Parameters:
    `path` - The grammar file path.
  Returns:
    The grammar file metadata. May be null if none found.

### getGrammarFileByClassName

    public GrammarFileMetadata getGrammarFileByClassName(String className)

  Locate the grammar file metadata by the name of a class generated from one of its included grammars.

  Parameters:
    `className` - The generated class name.
  Returns:
    The grammar file metadata. May be null if none found.

### getGrammarFileByExportVocab

    public GrammarFileMetadata getGrammarFileByExportVocab(String vocabName)

  Locate the grammar file metadata by the name of a vocabulary exported from one of its included grammars.

  Parameters:
    `vocabName` - The vocabulary name
  Returns:
    The grammar file metadata. May be null if none found.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD